## ros-indigo-sr-mechanism-model 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sr_mechanism_model)
find_package(catkin REQUIRED COMPONENTS roscpp sr_hardware_interface cmake_modules ros_ethercat_model)
find_package(TinyXML REQUIRED)
include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS})

catkin_package(
    DEPENDS TinyXML
    CATKIN_DEPENDS roscpp sr_hardware_interface ros_ethercat_model
    INCLUDE_DIRS include
    LIBRARIES sr_mechanism_model
)

add_library(sr_mechanism_model src/joint_0_transmission.cpp src/simple_transmission.cpp
  src/joint_0_transmission_for_muscle.cpp src/simple_transmission_for_muscle.cpp src/null_transmission.cpp)
add_dependencies(sr_mechanism_model ${catkin_EXPORTED_TARGETS})
target_link_libraries(sr_mechanism_model ${TinyXML_LIBRARIES} ${catkin_LIBRARIES})

install(TARGETS sr_mechanism_model 
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  OPTIONAL
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES transmission_plugin.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-sr-mechanism-model (1.4.0-0trusty) trusty; urgency=high

  * fix for joint names of bimanual systems

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-mechanism-model (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-mechanism-model (1.3.0-0trusty) trusty; urgency=high

  * fixed sr_kinematics
  * modified how library dependencies are forwarded
  * used world files from sr_grasp_stabilization. resolved deprecation messages
  * added some message dependencies as recommended by wiki
  * fixed build issues that appeared in other PCs
  * Now the test build but don't all succeed yet
  * corrections
  * added install directives and removed old-fashioned bin folder
  * removed ROS_BUILT_TYPE which is unrecommended. Also removed a few redundant lines
  * almost buildable version
  * another step towards catkining
  * first step towards catkinizing
  * Added the muscle hand transmissions
  * Created new simple and joint0 transmission classes for the muscle actuators
  * modified mainpages / manifests / ... for cleaner doc
  * Added a mean to compile with tinyxml without changing the cpp or hpp files
  * Trivial
  * trivial
  * Fixed joint 0 transmission for Gazebo
  * removed the mechanical reduction from the transmissions (it doesn't change much as this factor was set to 1, but it simplifies the code).
    added alpha beta filter to the sr_math_utils
    (lp:863118)
  * reorganizing our 2 repositories: we want the shadow_robot stack to be working on its own. the shadow_robot_etherCAT stack should contain only etherCAT specific code.
  * reorganizing our 2 repositories: we want the shadow_robot stack to be working on its own. the shadow_robot_etherCAT stack should contain only etherCAT specific code.
  * reorganizing our 2 repositories: we want the shadow_robot stack to be working on its own. the shadow_robot_etherCAT stack should contain only etherCAT specific code.
  * trying to get the sr_edc_mechanism_controllers to work with gazebo.
  * trivial
  * fixed joint 0s controllers.
  * Updating the documentation.
  * Splitting the tree in two different trees: we want one bzr repository per branch.
  * Contributors: GuiHome, Toni Oliver, Ugo Cupcic, shadowmanos

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 11 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-sr-mechanism-model
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-sr-hardware-interface
Homepage: http://ros.org/wiki/sr_mechanism_model
Standards-Version: 3.9.2

Package: ros-indigo-sr-mechanism-model
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-sr-hardware-interface
Description: sr_mechanism_model contains the transmissions used in the robot model. We needed specific transmission as we're using our own actuator. We also needed to take care of the joint 0s which combine the distal and middle phalanges.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-sr-mechanism-model//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
